Skip to main content
GET
/
v1
/
split-tests
/
{id}
/
events
cURL
curl --request GET \
  --url https://api.production.orderprotection.com/v1/split-tests/{id}/events
import requests

url = "https://api.production.orderprotection.com/v1/split-tests/{id}/events"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.production.orderprotection.com/v1/split-tests/{id}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "edges": [
    {
      "node": {
        "sessionId": "871ef54fe5e71123c95cdf8308db124131a80a01f626191a5e07e63723071d52",
        "testId": "cm0752s2r0003zqtzdwcm9rc0",
        "metadata": {
          "orderId": 12312,
          "isOriginal": true,
          "purchasedOp": true,
          "settingsType": "Original"
        },
        "createdAt": "2023-11-07T05:31:56Z",
        "type": "checkout:completed"
      }
    }
  ],
  "pageInfo": {
    "startCursor": "cm0b57zjv00myq52xh0c590b8",
    "endCursor": "cm0b57zjv00myq52xh0c590b8",
    "hasNextPage": false,
    "hasPreviousPage": false
  }
}

Path Parameters

id
string
required

Query Parameters

first
integer
last
integer
reverse
boolean
before
string
after
string

Response

200 - application/json

Get test by id

edges
object[]
pageInfo
object